Bug 708503 - fails to build without downstream patches
Summary: fails to build without downstream patches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Cong Wang
QA Contact: Kernel Dump QE
URL:
Whiteboard:
Depends On:
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-05-27 20:27 UTC by Kamil Dudka
Modified: 2013-09-30 02:25 UTC (History)
3 users (show)

Fixed In Version: kexec-tools-2.0.0-201.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 18:19:19 UTC


Attachments (Terms of Use)
proposed fix (487 bytes, patch)
2011-05-27 20:28 UTC, Kamil Dudka
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1532 normal SHIPPED_LIVE Moderate: kexec-tools security, bug fix, and enhancement update 2011-12-06 01:01:52 UTC

Description Kamil Dudka 2011-05-27 20:27:05 UTC
Version-Release number of selected component (if applicable):
kexec-tools-2.0.0-188.el6


Steps to Reproduce:
1. rpmbuild --define '__patch /bin/true' --rebuild kexec-tools-2.0.0-188.el6.src.rpm

  
Actual results:
DEBUG: + make -C makedumpfile-1.3.5
DEBUG: make: Entering directory `/builddir/build/BUILD/kexec-tools-2.0.0/makedumpfile-1.3.5'
DEBUG: gcc -g -O2 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D__x86_64__ -c -o ./x86.o ./x86.c
DEBUG: gcc -g -O2 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D__x86_64__ -c -o ./x86_64.o ./x86_64.c
DEBUG: gcc -g -O2 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D__x86_64__ -c -o ./ia64.o ./ia64.c
DEBUG: gcc -g -O2 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D__x86_64__ -c -o ./ppc64.o ./ppc64.c
DEBUG: gcc -g -O2 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -DVERSION='"1.3.5"' -DRELEASE_DATE='"11 November 2009"' -D__x86_64__
DEBUG: makedumpfile.c: In function 'get_die_type':
DEBUG: makedumpfile.c:1494: warning: 'dwarf_formref' is deprecated (declared at /usr/include/elfutils/libdw.h:450)
DEBUG: makedumpfile.c: In function 'get_debug_info':
DEBUG: makedumpfile.c:1980: warning: 'elf_getshstrndx' is deprecated (declared at /usr/include/libelf.h:281)
DEBUG: /usr/bin/ld: cannot find -lc
DEBUG: collect2: ld returned 1 exit status
DEBUG: make: Leaving directory `/builddir/build/BUILD/kexec-tools-2.0.0/makedumpfile-1.3.5'
DEBUG: make: *** [makedumpfile] Error 1
DEBUG: RPM build errors:
DEBUG: error: Bad exit status from /var/tmp/rpm-tmp.d3zGU8 (%build)
DEBUG:     Bad exit status from /var/tmp/rpm-tmp.d3zGU8 (%build)


Additional info:
The proposed change is required for Coverity to scan defects in downstream
patches separately.

Comment 1 Kamil Dudka 2011-05-27 20:28:09 UTC
Created attachment 501383 [details]
proposed fix

Comment 9 errata-xmlrpc 2011-12-06 18:19:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1532.html


Note You need to log in before you can comment on or make changes to this bug.